{% getparam 'q' as params_q %}

{% if show_button %}
  <button aria-label="Abrir campo de busca" class="search-opener" data-action="show-form-search" >
    <svg class="icon"><use xlink:href="#icon-search"></use></svg>
  </button>
{% endif %}

<div class="header-search">

  {% if show_button %}
    <button type="button" class="search-closer" data-action="hide-form-search">X</button>
  {% endif %}

  <form class="search-form" action="{{ search_url }}">

    <label class="field">
      <input type="search" name="q" id="header-search" placeholder="Buscar" class="input" value="{{ params_q }}" data-search-input required />
    </label>

    <button type="submit" class="search-action" aria-label="Buscar">
      <svg class="icon"><use xlink:href="#icon-search"/></svg>
    </button>

  </form>

</div>
